unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, sqlitePassDbo;

type
  TForm1 = class(TForm)
    TestButton: TButton;
    StatusEdit: TEdit;
    procedure TestButtonClick(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}


procedure TForm1.TestButtonClick(Sender: TObject);
var
  i  : integer;
  TestSqlitePassDatabase : TSqlitePassDatabase;
  TestSqlitePassDataset : TSqlitePassDataset;
  ThisTable : TSqlitePassTableDef;
begin
  TestSqlitePassDatabase:= TSqlitePassDatabase.Create(Self);
  TestSqlitePassDataset:= TSqlitePassDataset.Create(Self);
  TestSqlitePassDatabase.Close;
  if not FileExists('Test.db3') then
    TestSqlitePassDatabase.CreateDatabase('Test.db3', dbtSqlitePass, UTF_8, 4096, 0);

  TestSqlitePassDatabase.DatabaseType:= dbtSqlitePass;
  TestSqlitePassDatabase.Database:= 'Test.db3';
  TestSqlitePassDatabase.Open;
  // if the Test table does not exist, create it
  ThisTable:= TestSqlitePassDatabase.TableDefs.FindTable('Test');
  if ThisTable = nil then
  begin
    TestSqlitePassDatabase.TableDefs.CreateTable('CREATE TABLE if not exists [Test] ( '+
      '[EntryID] varchar(11),'+
      '[EntryDate] INTEGER(4));');
    TestSqlitePassDatabase.Close;
    TestSqlitePassDatabase.Open;
    TestSqlitePassDatabase.Connected:= true;
    TestSqlitePassDataset.close;
    TestSqlitePassDataset.Database := TestSqlitePassDatabase;
    TestSqlitePassDataset.DatasetName := 'Test';
    TestSqlitePassDataset.ReadOnly:= False;
    TestSqlitePassDataset.AutoCalcFields:= True;
    TestSqlitePassDataset.ParamCheck:= True;
    TestSqlitePassDataset.Open;
    // Create the test table
    for i:= 1 to 10 do
    begin
      TestSqlitePassDataset.Append;
      TestSqlitePassDataset.FieldByName('EntryDate').AsInteger:= 1220000000+ 60*i; // put in some timestamps 1 minute appart
      TestSqlitePassDataset.FieldByName('EntryID').AsString:= IntToStr(i);
      TestSqlitePassDataset.Post;
    end;
  end;
  // set up the dataset, if not already set up
  if (TestSqlitePassDataset.Database <> TestSqlitePassDatabase)
    or (TestSqlitePassDataset.DatasetName <> 'Test') then
  begin
    TestSqlitePassDatabase.Connected:= true;
    TestSqlitePassDataset.close;
    TestSqlitePassDataset.Database := TestSqlitePassDatabase;
    TestSqlitePassDataset.DatasetName:= 'Test';
    TestSqlitePassDataset.ReadOnly:= False;
    TestSqlitePassDataset.AutoCalcFields:= True;
    TestSqlitePassDataset.ParamCheck:= True;
    TestSqlitePassDataset.Open;
  end;
  TestSqlitePassDataset.DisableControls;

  TestSqlitePassDataset.Filtered:= False;
  TestSqlitePassDataset.Filter:= 'EntryID = 5';
  TestSqlitePassDataset.Filtered:= True;
  // Should return true if found
  if TestSqlitePassDataset.FindFirst then
    StatusEdit.Text:= 'Found EntryID'
  else
    StatusEdit.Text:= 'EntryID not found';
  TestSqlitePassDataset.Last;
  TestSqlitePassDataset.Close;
end;


end.
 