{   This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2.1 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   ---------------------------------------------------------------------------

    Messages localisation unit
    Author : Luc DAVID Email: luckylazarus@free.fr
    2006-2009

    Major changes are indicated in the \Documentation\changes.pdf file
    Last update : 05.01.2009

   --------------------------------------------------------------------------- }


Unit SqlitePassConst;

Interface

Const

{ Components version }
SqlitePassPackageVersion = '0.41';
SqlitePassDatabaseVersion = '0.41';
SqlitePassDatasetVersion = '0.41';

{ Storage version }
SqlitePassStorageVersion = '0.40';

{ System tables }
SqlitePassDbSettingsTable = 'SQLitePass__DbSettings';
SqlitePassSQLStmtDefsTable = 'SQLitePass__SQLStmts';

{ Verbose Level (For error handling) }
vlSilent     = 0;
vlLog        = 1;
vlShow       = 2;
vlLogAndShow = 3;

{  Global Keywords definition }
kwSQLEnd  = ';' ;
KwASAlias = 'AS';
KwSpace = ' ';
KwAnd = 'AND';
kwLineBreak = Char($A);
KwLineReturn = Char($D);
kwLineEnd = KwLineReturn + KwLineBreak;

{ Keywords definition for [create] statement }
kwCreate = 'CREATE';
kwCreateTable = 'CREATE TABLE';
kwCreateTempTable = 'CREATE TEMP TABLE';
kwCreateTemporaryTable = 'CREATE TEMPORARY TABLE';

{ Keywords definition for [select] statement }
kwSelect  = 'SELECT';
kwAll = 'ALL';
kwDistinct = 'DISTINCT';
kwFrom    = 'FROM';
kwWhere   = 'WHERE';
kwGroupBy = 'GROUP BY';
kwHaving  = 'HAVING';
kwOrderBy = 'ORDER BY';
kwLimit   = 'LIMIT';
kwLike    = 'LIKE';
KwAllFields = '*';
kwComma = ',';
kwDot = '.';
kwBraceOpen = '(';
kwBraceClose = ')';
kwEqual = '=';
{ Quotes }
kwBracketOpen = '[';
kwBracketClose = ']';
kwSingleQuote = '''';
kwDoubleQuote = '"';

SelectStmtKeywords: array[0..7] of Ansistring = (kwSelect, kwFrom, kwWhere, kwGroupBy, kwHaving, kwOrderBy, kwLimit, kwSQLEnd);
SelectStmtTableDefs: array[0..3] of Ansistring = (kwFrom, kwAsAlias, kwComma, KwSQLEnd);
SelectStmtFieldDefs: array[0..4] of Ansistring = (kwSelect, kwAll, KwDistinct, kwComma, KwSQLEnd);

{ Keywords definition for [Insert] statement }
kwInsert = 'INSERT';

{ Keywords definition for [update] statement }
kwUpdate = 'UPDATE';

{ Keywords definition for [delete] statement }
kwDelete = 'DELETE';

{ }
kwPragmaTableInfo = 'PRAGMA TABLE_INFO';

QuoteCharsArray: Array[0..3] of Ansistring = (KwSingleQuote, KwDoubleQuote, kwBracketOpen, kwBracketClose);
QuoteChars = [KwSingleQuote, KwDoubleQuote, kwBracketOpen, kwBracketClose];
BeforeIdentifierSeparator = [KwSpace, KwComma, kwLineBreak, kwBraceOpen];
AfterIdentifierSeparator = [KwSpace, KwComma, kwLineReturn, kwBraceClose, KwSqlEnd];
{ Keywords definitions for statement type checking }
StmtTypeKeywords: array[0..7] of Ansistring = (kwCreateTemporaryTable, kwCreateTempTable, kwCreateTable, kwCreate,
                                               kwSelect, {kwPragmaTableInfo,} KwInsert, kwUpdate, kwDelete);
IdentifierChar = ['0'..'9', 'a'..'z', 'A'..'Z', '_', '.', '', '', ''];
Implementation
end.
